package hostel;

public class Hotel4Estrellas extends Hoteles {
	private char gimnasio;
	private String nomRestaurante;
	private int capRestaurante;
	
	public Hotel4Estrellas(String nombre, String direccion, String localidad, Persona gerente,int cantHabitaciones,int numCamas, int cantPisos, int cantLimosinas,String nomRestaurante,int capRestaurante,char gimnasio){
		super(nombre,direccion,localidad,gerente,cantHabitaciones,numCamas, cantPisos, cantLimosinas);
		this.gimnasio = gimnasio;
		this.nomRestaurante = nomRestaurante;
		this.capRestaurante = capRestaurante;
		super.setPrecioHabitaciones(calcPreHabitaciones());
	}
	
	public double calcPreHabitaciones(){
		int precioGim;
		if (gimnasio == 'A'){
			precioGim = 50;
		}else{
			precioGim = 30;
		}
		int precioRestaurante;
		if (capRestaurante < 30) {
			precioRestaurante= 10;
		} else if(capRestaurante >= 30 & capRestaurante <= 50){
			precioRestaurante= 30;
		} else {
			precioRestaurante= 50;
		}
		return super.calcPreHabitaciones3Est()+precioRestaurante+precioGim;
	}
	
	public int calcValorRestaurante(){
		if (capRestaurante < 30) {
			return 10;
		} else if(capRestaurante >= 30 & capRestaurante <= 50){
			return 30;
		} else {
			return 50;
		}
	}

	public char getGimnasio() {
		return gimnasio;
	}

	public String getNomRestaurante() {
		return nomRestaurante;
	}

	public int getCapRestaurante() {
		return capRestaurante;
	}
	
}
