package hostel;

public abstract class Hoteles extends Alojamientos {
	private int cantHabitaciones,numCamas,cantPisos,cantLimosinas;
	private double precioHabitaciones;
	
	public Hoteles(String nombre, String direccion, String localidad, Persona gerente,int cantHabitaciones,int numCamas, int cantPisos, int cantLimosinas){
		super(nombre,direccion,localidad,gerente);
		this.cantHabitaciones = cantHabitaciones;
		this.numCamas = numCamas;
		this.cantPisos = cantPisos;
		this.cantLimosinas = cantLimosinas;
		precioHabitaciones = calcPreHabitaciones3Est();
	}
	
	public void setPrecioHabitaciones(double precio){
		this.precioHabitaciones = precio;
	}
	public boolean limosinaDisponible(){
		return (cantLimosinas > 0);
	}
	
	public double calcPreHabitaciones3Est(){
		return 50 + 1*cantHabitaciones + 15*cantLimosinas;
	}

	public int getCantHabitaciones() {
		return cantHabitaciones;
	}

	public int getNumCamas() {
		return numCamas;
	}

	public int getCantPisos() {
		return cantPisos;
	}

	public int getCantLimosinas() {
		return cantLimosinas;
	}

	public double getPrecioHabitaciones() {
		return precioHabitaciones;
	}
}
